{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to add email addresses to an unsubscribe group.**\n\nIf you attempt to add suppressions to a group that has been deleted or does not exist, the suppressions will be added to the global suppressions list.","properties":{"path":{"type":"object","properties":{"group_id":{"type":"string","description":"The id of the unsubscribe group that you are adding suppressions to."}},"required":["group_id"],"additionalProperties":false},"headers":{"type":"object","properties":{"on-behalf-of":{"type":"string","description":"The `on-behalf-of` header allows you to make API calls from a parent account on behalf of the parent's Subusers or customer accounts. You will use the parent account's API key when using this header. When making a call on behalf of a customer account, the property value should be \"account-id\" followed by the customer account's ID (e.g., `on-behalf-of: account-id <account-id>`). When making a call on behalf of a Subuser, the property value should be the Subuser's username (e.g., `on-behalf-of: <subuser-username>`). It is important to use the Base URL that corresponds to the region of the account or Subuser you specify in the `on-behalf-of` header. See [**On Behalf Of**](https://docs.sendgrid.com/api-reference/how-to-use-the-sendgrid-v3-api/on-behalf-of) for more information."}},"required":[],"additionalProperties":false},"body":{"$ref":"#/definitions/SuppressionsRequest"}},"required":["path"],"additionalProperties":false,"definitions":{"SuppressionsRequest":{"title":"Suppressions Request Body","type":"object","properties":{"recipient_emails":{"type":"array","description":"The array of email addresses to add or find.","items":{"type":"string","format":"email"}}},"required":["recipient_emails"],"examples":[{"recipient_emails":["test1@example.com","test2@example.com"]}]}}},"name":"Add suppressions to a suppression group","id":"sendgrid.suppressions.addsuppressiontoasmgroup","example":{"path":{"group_id":"example"}},"maxRequests":1,"summary":false}}